solution "Lephisto"
	location "."
	configurations { "Debug", "Release" }
	--[[ Lua
	project "Lua"
		location "Lua"
		targetdir "bin"
		language "C"
		kind "StaticLib"
		files { "../lib/lua/*.c", "../lib/lua/*.h" }
		defines { "DLUA_COMPAT_ALL" }
		configuration "Debug"
			targetname "luad"
			defines { "DEBUG", "LUA_USE_APICHECK" }
			flags { "Symbols" }
		configuration "Release"
			targetname "lua"
			flags { "Optimize" }
	]]--
	-- Pack
	project "Pack"
		location "Pack"
		targetdir "bin"
		language "C"
		kind "ConsoleApp"
		includedirs { "../src/" }
		files { "../src/pack.c", "../utils/pack/**.c" }
		configuration "Debug"
			targetname "pack"
			defines { "DEBUG" }
			flags { "Symbols" }
		configuration "Release"
			targetname "pack"
			flags { "Optimize" }
	-- Lephisto!
	project "Lephisto"
		location "Lephisto"
		targetdir "../bin"
		language "C"
		kind "ConsoleApp"
		defines { "WIN32", "VMAJOR=0", "VMINOR=0", "VREV=1" }
		files { "../src/**.c", "../src/**.h" }
		includedirs { "ext/include", "ext/include/SDL", "/usr/include/libxml2", "/usr/include/freetype2" }
		libdirs { "ext/lib" }
		links {
			"lua5.1.dll",
			"vorbisfile.dll",
			"vorbis.dll",
			"ogg.dll",
			"openal.dll",
			"SDL_image",
			"SDL.dll",
			"freetype.dll",
			"png.dll",
			"xml2.dll",
			"OpenGL32",
			"ddraw",
			"dsound",
			"pthread",
			"winmm",
			"c"
		}
		configuration "Debug"
			targetname "Lephistod"
			defines { "DEBUG", "LUA_USE_APICHECK" }
			flags { "Symbols" }
		configuration "Release"
			targetname "Lephisto"
			flags { "Optimize" }